#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n,k,a=0,b=0;
    cin>>n;
    int x;
    for(int i=1;i<=n;i++)
    {
        cin>>x;
        k=x%2;
        if(k=1)
        {
            a++;
        }
        if(k=0)
        {
            b++;
        }
    }
    int z=max(k=1,k=1) ;
    int y=max(k=0,k=0);
    a=a-1;
    int t=x/2-a;
    b=b-1;
    int s=y/2-(1+b);
    cout<<t<<" "<<s<<endl;
    return 0;
}

